from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XShapeAligner(XInterface, Protocol):
    def alignShapes(self, aShapes: XShapes, eType: Alignment) -> None: ...
